Name: firmwarekit
VERSION: r2
Release: alt1

Summary: BIOS checker that validates ACPI and other parts for x86 and x86_64 machines
Summary(ru_RU.UTF-8):	Утилита для проверки коректной работы Linux с программно-аппаратными средствами (BIOS, ACPI, EFI) архитектур x86 и x86_64
License: GNU Lesser General Public License version 2.1
Url: http://www.linuxfirmwarekit.org
Packager: Andriy Stepanov <stanv@altlinux.ru>
Source0: http://www.linuxfirmwarekit.org/download/%name-%version.tar.gz
Source1: biostest.sh

Group: System/Configuration/Hardware
ExclusiveArch: %ix86 x86_64

Requires: pmtools util-linux dmidecode iasl pciutils

Patch0: alt_ssh.patch
Patch1: alt_dmesg_and_acpi.patch
Patch2: alt_rip_out_unneeded_stuff4.patch
Patch5: alt_use_external_bins2.patch
Patch6: alt_makefile
Patch7: alt_lspci_path.patch
Patch9: alt_thermal.patch
Patch10: alt_pipes.patch
Patch20: alt_pipes_again.patch
Patch11: alt_usb2.patch
Patch12: alt_shared_objects.patch
Patch13: alt_ebda_makefile.patch

# Automatically added by buildreq on Thu Feb 22 2007
BuildRequires: gccmakedep glib2-devel libnewt-devel

%description
This tool, developed by Intel, is meant for vendors to validate and
certifcate their BIOS. It is also convenient for ACPI or general BIOS
related bugs. If you have an ACPI error/warning, run this tool and
provide output for bug tracking information

Authors:
--------
    Intel

%prep
%setup -q -n linux%name
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch20 -p1
#%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
make -e CFLAGS="%optflags"

%install
install -D -m 744 %{S:1} %buildroot/%_sbindir/biostest.sh
#cp %{S:1} hooks
install -d -m 755 %buildroot/%_logdir/%name
install -D -m 644 initramfs/results.css %buildroot/%_logdir/%name/results.css
install -D -m 644 initramfs/resources.css %buildroot/%_logdir/%name/resources.css
install -D -m 744 biostest %buildroot/%_libdir/%name/biostest
install -D -m 755 shelltools/start_test %buildroot/%_libdir/%name/bin/start_test
ln -s start_test %buildroot/%_libdir/%name/bin/announce_resource
ln -s start_test %buildroot/%_libdir/%name/bin/finish_test
ln -s start_test %buildroot/%_libdir/%name/bin/report_result
ln -s start_test %buildroot/%_libdir/%name/bin/report_testrun_progress
install -D -m 755 libstandalone.so %buildroot/%_libdir/libstandalone.so
cp      -a        plugins %buildroot/%_libdir/%name/plugins
#install -D -m 644 biostest.1 %buildroot/%_man1dir/biostest.1

%files
#%define _verify_elf_method skip

%_sbindir/biostest.sh
%_libdir/%name
%_logdir/%name
%_libdir/libstandalone.so
#%_docdir/%name
#You'll note that we neglected to use the %doc  directive on the man page files. The reason is that RPM automatically tags any file destined for /usr/man as documentation.
#%_mandir/man1/biostest.1
#%doc QUICKSTART.txt USERGUIDE.txt
%doc Documentation/ NEWS README AUTHORS todo.txt COPYING

%changelog
* Fri Apr 13 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt1
- Up to new version

* Fri Apr 13 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.9
- Add patch for correct Makefiles to produce correct .so files.
(-fno-stack-protector, __stack_chk_fail_local) 

* Mon Apr 02 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.8
- add sync call for usb patch

* Tue Mar 13 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.7
- add Packager tag

* Fri Mar 09 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.6
- remove incompatible {} in ssh.c

* Fri Mar 09 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.5
- change /sbin/microcode_ctl to /usr/sbin/microcode_ctl

* Tue Mar 06 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.4
- Dissable software injected Machine Check Errors for IA64

* Tue Mar 06 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.3
- Save results to already mounted USBKey

* Mon Mar 05 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.2
- modify results directory

* Mon Mar 05 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta2.1
- Add patch for change '&>' to '2>&1'. Switch up to Beta2.

* Thu Feb 22 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta1.2
- Add Requires section

* Thu Feb 22 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta1.1
- Enhace dmesg patch

* Thu Feb 22 2007 Andriy Stepanov <stanv@altlinux.ru> r2-alt0.Beta1.0
- Add patch for avoid cleanup kernel log ring buffer and acpicompile SUN_hash_listi initialization.

* Wed Feb 21 2007 Andriy Stepanov <stanv@altlinux.ru> r2Beta1-alt3
- spec file cleanup

* Tue Feb 20 2007 Andriy Stepanov <stanv@altlinux.ru> r2Beta1-alt2
- replace dhclient to dhcpcd

* Tue Feb 20 2007 Andriy Stepanov <stanv@altlinux.ru> r2Beta1-alt1
- Upgrade to r2Beta1

* Wed Feb 14 2007 Andriy Stepanov <stanv@altlinux.ru> r1-alt5
- add patch for thermal_trip.sh (check if present throttling)

* Wed Feb 14 2007 Andriy Stepanov <stanv@altlinux.ru> r1-alt4
- Add to Requires dhcp-client

* Wed Feb 14 2007 Andriy Stepanov <stanv@altlinux.ru> r1-alt3
- Correct lspci path from /usr/sbin/lspci to /usr/bin/lspci

* Wed Feb 14 2007 Andriy Stepanov <stanv@altlinux.ru> r1-alt2
- Correct lspci path from /sbin/lspci to /usr/sbin/lspci

* Tue Feb 13 2007 Andriy Stepanov <stanv@altlinux.ru> r1-alt1
- initial build

